	character*60 f1,ch*5760,label*37,c6*6,object,pp*10
	call system('ls a*.fit > /tmp/1.dis')
        cali=0
        seeing=9
        k=iargc()
        if(k.gt.0)then
          call getarg(1,c6)
          read(c6(1:),*)cali
          if(k.gt.1)then
            call getarg(2,c6)
            read(c6(1:),*)seeing
          endif
        endif
c        write(*,*)k,cali,seeing
  
	open(1,file='/tmp/1.dis',status='old')	
	i=0
10	i=i+1
	read(1,'(a)',end=100)f1
	open(2,file=f1,status='old',access='direct',recl=5760)
	read(2,rec=1)ch
        k=37*80+44
	if(i.eq.1)write(*,2)ch(k:k);
2	format(5x,'  Filename     Obs_date_time (UT)  Exp. '
     *  ,'Object  cali  SkyAdu seeing  u',a,' rms'/80('-'))
        f1(16:16)='  '
	k=index(ch,'RA')+17
	m=index(ch,'DEC')+17
	label=f1(1:9)//ch(k:k+12)//ch(m:m+12)
        k=index(ch,'SKYADU')+24
        j=80*29+26
        pp=ch(j:j+5)//ch(j+37:j+40)
c       write(*,*)ch(j:j+3),ch(k+81:k+85)
        c1=0.
        read(ch(j:j+4),*)c1
        s1=0.
        read(ch(k+81:k+85),*)s1
	write(*,1)i,label,pp,ch(k-2:k+4),ch(k+80:k+85)
1	format(i4,': ',4a)
	goto 10
100	close (1)
	call unlink('/tmp/1.dis')
	end
